Bug 319935 - Lockscreen lost focus when i change keyboard layout
Summary: Lockscreen lost focus when i change keyboard layout
Status: RESOLVED INTENTIONAL
Alias: None
Product: kscreensaver
Classification: Unclassified
Component: locker-qml (show other bugs)
Version: 4.10.2
Platform: Fedora RPMs Linux
: NOR normal with 120 votes (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
: 315945 321375 323631 325918 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-05-17 08:31 UTC by Saeed Zarinfam
Modified: 2015-01-23 13:02 UTC (History)
14 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Patch to fix QML greeter losing input focus on Alt pressed (804 bytes, patch)
2013-06-02 12:34 UTC, Pulfer
Details
Another focus-related patch (1.44 KB, patch)
2014-02-10 13:40 UTC, Pulfer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Saeed Zarinfam 2013-05-17 08:31:05 UTC
When i lock my kde using Ctrl+Alt+L and my current keyboard layout is not english (e.g. persian) when i change my keyboard layout using keyboard shortcut (Alt+Shift), password field lost its focus and i have to click on it using mouse to get focus and type my password to unlock.

Reproducible: Always

Steps to Reproduce:
1. change keyboard layout to another language (not english)
2. lock kde using Ctrl+Alt+L
3. change keyboard layout using keyboard shortcut (Alt+Shift) to english
Actual Results:  
password field lost its focus and you have to click on it using mouse to get focus and type your password to unlock.

Expected Results:  
password field does not lost its focus
Comment 1 Pulfer 2013-06-02 12:34:01 UTC
Created attachment 80256 [details]
Patch to fix QML greeter losing input focus on Alt pressed
Comment 2 Pulfer 2013-06-02 12:34:25 UTC
Fixed in ROSA & OpenMandriva, see attached patch.
Comment 3 Sergey 2013-06-22 13:49:43 UTC
*** Bug 321375 has been marked as a duplicate of this bug. ***
Comment 4 ttrovo 2013-08-10 17:49:42 UTC
>Status UNCONFIRMED
I do CONFIRM this but. And this problem is still unsolved.
It still exists on latest Kubuntu (13.04, raring) with KDE 4.10.5 (Qt: 4.8.4).

This bug exists for ages it's very annoying, please fix it. (I've registered at tracker to beg you do so).

The way it annoys:
After lock, when you try to unlock screenlock usually have wrong layout.
You change layout and goddammit - the focus is lost.
AND THERE IS NO WAY to put focus in password editbox, Tab-key doesn't do the thing!
So you need to take mouse and aim at editbox. And this problem is 5-10 times a day (as often as you Lock the KDE).

Tips:
The bug is only on computers with more than one keyboard layout.
The but exists if keyboard layout is changed with combination including ALT (like usual Alt+Shift).

Solutions:
1) Do not allow the focus to run out of password box.
2) Use for LockerScreen personal layout (and save it in config or else). So, user won't need to switch layout. E.g. in Windows7 the layout is always correct.
Comment 5 vaniaz 2013-08-15 20:55:43 UTC
Still an issue in kde 4.11.
Comment 6 Jekyll Wu 2013-08-18 08:47:12 UTC
*** Bug 315945 has been marked as a duplicate of this bug. ***
Comment 7 Christoph Feck 2013-08-29 20:24:33 UTC
*** Bug 323631 has been marked as a duplicate of this bug. ***
Comment 8 Christoph Feck 2013-10-12 15:14:02 UTC
*** Bug 325918 has been marked as a duplicate of this bug. ***
Comment 9 blackst0ne 2013-10-25 00:26:25 UTC
I confirm this bug.
It still exists in 4.11.2
Comment 10 Murz 2013-12-11 12:29:30 UTC
Seems that the problem is same as in issue https://bugs.kde.org/show_bug.cgi?id=316084
Comment 11 Pulfer 2014-02-10 13:40:25 UTC
Created attachment 85078 [details]
Another focus-related patch

(In reply to comment #1)
> Created attachment 80256 [details]
> Patch to fix QML greeter losing input focus on Alt pressed

I suggest to use this patch in pair with patch from attachment 80256 [details].
Comment 12 Victor Varvaryuk 2014-02-10 13:43:44 UTC
Thanks for the patches!
What needed to be done to get this patches merged and released?
Comment 13 Christoph Feck 2014-02-28 23:02:38 UTC
We had someone working on this, see https://git.reviewboard.kde.org/r/113697/
Unfortunately, there was no progress. If you want to take over with new patches, please open a new review request at https://git.reviewboard.kde.org/
Comment 14 Murz 2014-03-10 20:01:52 UTC
If this way is not work, maybe we can force set focus to password field on each keypress?
Comment 15 Murz 2014-05-05 09:46:30 UTC
Seems that similar issue https://bugs.kde.org/show_bug.cgi?id=316084 about focus in lock screen is solved, but this issue is still active on KDE 4.13 and Kubuntu 14.04.
Comment 16 Alexandr Matveev 2014-05-19 09:22:10 UTC
*** This bug has been confirmed by popular vote. ***
Comment 17 Martin Flöser 2015-01-23 13:02:45 UTC
The screen locker architecture changed with Plasma 5. The classic screen savers are no longer supported. The 4.x series won't see any further feature development, so this bug report won't be implemented as it doesn't apply to our current version any more.

I want to thank you for your bug report and for helping improving the quality of our software and I'm sorry that we were not able to provide a fix before we retired the affected component.